Loading ...
Sorry, an error occurred while loading the content.
 

Re: [Cheetahtemplate-discuss] Newbie problem

Expand Messages
  • Mike Orr
    ... Either way is acceptable as long as it doesn t collide with a reserved word (e.g., not #set global = 1 ). For Cheetah 2.0 we re generally recommending
    Message 1 of 6 , May 1, 2006
      On 4/29/06, Peter Mott <peter@...> wrote:
      > I guess you should post your complete code. "#set myvariable = 1 " should be
      > #set $myvariable = 1.

      Either way is acceptable as long as it doesn't collide with a reserved
      word (e.g., not "#set global = 1"). For Cheetah 2.0 we're generally
      recommending the fewest dollar signs possible, but it's a judgement
      call which way is more readable for #set.

      Tavis, there's a bug. The above directive compiles to
      'self._CHEETAH__globalSetVars[""] = 1'. It should raise an error.

      --
      Mike Orr <sluggoster@...>
      (mso@... address is semi-reliable)


      --
      Mike Orr <sluggoster@...>
      (mso@... address is semi-reliable)


      -------------------------------------------------------
      Using Tomcat but need to do more? Need to support web services, security?
      Get stuff done quickly with pre-integrated technology to make your job easier
      Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
      http://sel.as-us.falkag.net/sel?cmd=lnk&kid0709&bid&3057&dat1642
      _______________________________________________
      Cheetahtemplate-discuss mailing list
      Cheetahtemplate-discuss@...
      https://lists.sourceforge.net/lists/listinfo/cheetahtemplate-discuss
    • Michele Petrazzo
      ... Seem that is a spyce problem, because on the stable release, that I m using, I see the problems, but on the developer (svn trunk) release the same code
      Message 2 of 6 , May 2, 2006
        Tavis Rudd wrote:
        > That makes no difference. $ is not required there.
        >

        Seem that is a spyce problem, because on the stable release, that I'm
        using, I see the problems, but on the developer (svn trunk) release the
        same code don't raise errors...
        I have already wrote to the spyce developers.

        Thanks to all,
        Michele


        -------------------------------------------------------
        Using Tomcat but need to do more? Need to support web services, security?
        Get stuff done quickly with pre-integrated technology to make your job easier
        Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
        http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
        _______________________________________________
        Cheetahtemplate-discuss mailing list
        Cheetahtemplate-discuss@...
        https://lists.sourceforge.net/lists/listinfo/cheetahtemplate-discuss
      Your message has been successfully submitted and would be delivered to recipients shortly.